﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using LogParser;

namespace IISLogParseDemo
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnLoad_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.ShowDialog() == DialogResult.OK)
            {
                QryData();
            }
        }

        private void QryData()
        {

            //构造查询语句
            StringBuilder query = new StringBuilder("SELECT ");
            if (txtRecord.Text.Trim().Length > 0)
            {
                int rec = 0;
                if (int.TryParse(txtRecord.Text.Trim(), out rec))
                {
                    if (rec > 0)
                    {//如果有值,而且数字大于0,则取数字取得Top n
                        query.Append(" TOP ");
                        query.Append(rec);
                    }
                }
            }
            if (btnLocalTime.Checked)
            {
                query.Append("UserIP,Username,TO_LOCALTIME(TO_TIMESTAMP(date,time)) as LocalTime");
            }
            else
            {
                query.Append("UserIP,Username,TO_TIMESTAMP(date,time) as LocalTime");
            }

            query.Append(",ServiceInstance,HostName,ServerIP,TimeTaken,BytesSent,bytesReceived,StatusCode" +
                         ",Win32StatusCode,RequestType,Target,Parameters " +
                         "FROM ");
            query.Append(openFileDialog1.FileName);
            if (txtWhere.Text.Trim().Length > 0)
            {
                query.Append(" Where ");
                query.Append(txtWhere.Text.Trim());
            }

            IISLogParserConfig config = new IISLogParserConfig()
            {
                 Codepage =936,
                
            };
            IISLogParser logParser = new IISLogParser(config);
            DataTable dt = logParser.RunQuery(query.ToString());
            dataGridView1.DataSource = dt;
        }

        private void btnQuery_Click(object sender, EventArgs e)
        {
            if (openFileDialog1.FileName == "") 
                return;
            QryData();
        }
    }
}
