﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MSUtil;

namespace LogParser
{
    public class CSVLogParser : LogParserBase
    {
        protected readonly CSVLogParserConfig myConfig;

        public CSVLogParser(CSVLogParserConfig config)
            : base(config)
        {
            myConfig = config;
        }

        protected override object GetInputContext()
        {
            var context = new COMCSVInputContextClass
            {
                headerRow = myConfig.HeaderRow ?? true,
                fixedFields = myConfig.FixedFields ?? true,
                nFields = myConfig.Fields ?? -1,
                dtLines = myConfig.Lines ?? 10,
                iDQuotes = myConfig.DoubleQuotes ?? "Auto",
                nSkipLines = myConfig.SkipLines ?? 0,
                codepage = myConfig.CodePage ?? 0
            };

            if (!string.IsNullOrEmpty(myConfig.TimestampFormat))
                context.iTsFormat = myConfig.TimestampFormat;
            if (!string.IsNullOrEmpty(myConfig.HeaderFile))
                context.headerFile = myConfig.HeaderFile;
            if (!string.IsNullOrEmpty(myConfig.Comment))
                context.comment = myConfig.Comment;
            if (!string.IsNullOrEmpty(myConfig.CheckpointFile))
                context.iCheckpoint = myConfig.CheckpointFile;

            return context;
        }
    }
}
