﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MSUtil;

namespace LogParser
{
    public class IISLogParser :LogParserBase
    {
         protected readonly IISLogParserConfig myConfig;

         public IISLogParser(IISLogParserConfig config)
             : base(config)
         {
             myConfig = config;
         }

         protected override object GetInputContext()
         {
             var context = new COMIISIISInputContextClass
             {
                 iCodepage = myConfig.Codepage.GetValueOrDefault(-2),
                 recurse = myConfig.Recurse.GetValueOrDefault(0),
                 locale = myConfig.Locale ?? "DEF"
             };

             if (!string.IsNullOrEmpty(myConfig.MinDateMod))
                 context.minDateMod = myConfig.MinDateMod;
             if (!string.IsNullOrEmpty(myConfig.CheckpointFile))
                 context.iCheckpoint = myConfig.CheckpointFile;

             return context;
         }
    }
}
