﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace LogParser
{
    public class IISLogParserConfig :LogParserConfig
    {
        /// <summary>
        /// 0 is the system codepage; -2 specifies that the codepage is automatically 
        /// determined by inspecting the filename and/or the site's "LogInUTF8" property. 
        /// </summary>
        public int? Codepage { get; set; }

        /// <summary>
        /// 0 disables subdirectory recursion
        /// -1 enables unlimited recursion
        /// other wise is the level to recurse
        /// </summary>
        public int? Recurse { get; set; }

        /// <summary>
        /// date/time (in "yyyy-MM-dd hh:mm:ss" format)
        /// </summary>
        public string MinDateMod { get; set; }

        /// <summary>
        /// default is DEF
        /// </summary>
        public string Locale { get; set; }

        public string CheckpointFile { get; set; }
    }
}
